# Generated by Django 3.0.8 on 2020-08-09 15:44

import ckeditor.fields
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django_countries.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Banner',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title_black', models.CharField(max_length=60, verbose_name='Title black')),
                ('title_gold', models.CharField(max_length=60, verbose_name='Title gold')),
                ('subtitle', models.CharField(max_length=254, verbose_name='Subtitle')),
                ('summary', ckeditor.fields.RichTextField(max_length=512, verbose_name='Summary')),
                ('width_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Height Field')),
                ('pic', models.ImageField(height_field='height_field', upload_to='site/banner', verbose_name='Picture', width_field='width_field')),
                ('alternative_pic', models.CharField(max_length=50, verbose_name='Alternative Text')),
            ],
            options={
                'verbose_name': 'Banner',
                'verbose_name_plural': 'Banners',
            },
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=100, validators=[django.core.validators.MinValueValidator(3), django.core.validators.MaxValueValidator(100)], verbose_name='First Name')),
                ('last_name', models.CharField(max_length=100, validators=[django.core.validators.MinValueValidator(3), django.core.validators.MaxValueValidator(100)], verbose_name='Last Name')),
                ('email', models.EmailField(max_length=254, validators=[django.core.validators.EmailValidator], verbose_name='Email')),
                ('phone', models.CharField(max_length=11, validators=[django.core.validators.MinValueValidator(11), django.core.validators.MaxValueValidator(13)], verbose_name='Phone')),
                ('project', models.CharField(max_length=50, verbose_name='Project')),
                ('country', django_countries.fields.CountryField(max_length=2, verbose_name='Country')),
                ('message', models.TextField(verbose_name='Message')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
            ],
            options={
                'verbose_name': 'Contact',
                'verbose_name_plural': 'Contacts',
                'ordering': ('-created',),
            },
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=60, verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=60, verbose_name='Slug')),
                ('width_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Height Field')),
                ('banner', models.ImageField(height_field='height_field', upload_to='site/Banner', validators=[django.core.validators.FileExtensionValidator(['jpg', 'png'])], verbose_name='Banner', width_field='width_field')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
            ],
            options={
                'verbose_name': 'Page',
                'verbose_name_plural': 'Pages',
                'ordering': ('created',),
            },
        ),
        migrations.CreateModel(
            name='Portfolio',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=60, verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=60, verbose_name='Slug')),
                ('subtitle', models.CharField(max_length=60, verbose_name='Subtitle')),
                ('width_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Height Field')),
                ('pic', models.ImageField(height_field='height_field', upload_to='site/Portfolio', validators=[django.core.validators.FileExtensionValidator(['jpg', 'png'])], verbose_name='Portfolio', width_field='width_field')),
                ('alternative_pic', models.CharField(max_length=50, verbose_name='Alternative Pic')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
            ],
            options={
                'verbose_name': 'Portfolio',
                'verbose_name_plural': 'Portfolio',
            },
        ),
        migrations.CreateModel(
            name='PortfolioCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=60, verbose_name='Title black')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=60, verbose_name='Slug')),
            ],
            options={
                'verbose_name': 'Portfolio Category',
                'verbose_name_plural': 'Portfolio Categories',
            },
        ),
        migrations.CreateModel(
            name='Site',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Website Name')),
                ('address', models.CharField(max_length=200, verbose_name='Address')),
                ('domain', models.URLField(verbose_name='Domain')),
                ('phone_number', models.CharField(help_text='+98912...', max_length=15, verbose_name='Phone Number')),
                ('footer', ckeditor.fields.RichTextField(verbose_name='Footer')),
                ('width_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Height Field')),
                ('about_pic', models.ImageField(height_field='height_field', upload_to='site', verbose_name='About Pic', width_field='width_field')),
                ('about_us', ckeditor.fields.RichTextField(verbose_name='About us')),
                ('alternative_about_pic', models.CharField(max_length=50, verbose_name='Alternative Text')),
                ('logo', models.FileField(upload_to='site/', validators=[django.core.validators.FileExtensionValidator(['svg', 'png'])])),
                ('achievement_logo', models.CharField(max_length=50, verbose_name='Alternative Logo')),
                ('insta', models.URLField(verbose_name='Instagram')),
                ('facebook', models.URLField(verbose_name='Facebook')),
                ('mail', models.EmailField(max_length=200, verbose_name='Mail')),
            ],
            options={
                'verbose_name': 'Site',
                'verbose_name_plural': 'Sites',
            },
        ),
        migrations.CreateModel(
            name='WorkFlow',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=60, verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=60, verbose_name='Slug')),
                ('summary', ckeditor.fields.RichTextField(verbose_name='Summary')),
                ('width_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Height Field')),
                ('pic', models.ImageField(height_field='height_field', upload_to='site', validators=[django.core.validators.FileExtensionValidator(['jpg', 'png'])], verbose_name='Workflow', width_field='width_field')),
                ('alternative_pic', models.CharField(max_length=50, verbose_name='Alternative Pic')),
                ('alternative_svg', models.CharField(max_length=50, verbose_name='Alternative SVG')),
                ('icon_svg', models.FileField(upload_to='site/', validators=[django.core.validators.FileExtensionValidator(['svg', 'png'])])),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='flows', to='pages.Site')),
            ],
            options={
                'verbose_name': 'WorkFlow',
                'verbose_name_plural': 'WorkFlows',
            },
        ),
        migrations.CreateModel(
            name='WorkExperience',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=60, verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=60, verbose_name='Slug')),
                ('subtitle', models.CharField(max_length=60, verbose_name='Subtitle')),
                ('summary', ckeditor.fields.RichTextField(verbose_name='Summary')),
                ('priority', models.PositiveSmallIntegerField(validators=[django.core.validators.MinValueValidator(1)], verbose_name='Priority')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='experiences', to='pages.Site')),
            ],
            options={
                'verbose_name': 'Work Experience',
                'verbose_name_plural': 'Work Experiences',
                'ordering': ('priority',),
            },
        ),
        migrations.CreateModel(
            name='Testimonial',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('from_who', models.CharField(max_length=60, verbose_name='from who')),
                ('position', models.CharField(max_length=60, verbose_name='Position')),
                ('summary', ckeditor.fields.RichTextField(verbose_name='Summary')),
                ('is_shown', models.BooleanField(default=False, verbose_name='Is shown')),
                ('width_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Height Field')),
                ('pic', models.ImageField(height_field='height_field', upload_to='site/Testimonial', validators=[django.core.validators.FileExtensionValidator(['jpg', 'png'])], verbose_name='Picture', width_field='width_field')),
                ('priority', models.PositiveSmallIntegerField(verbose_name='Priority')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='testimonials', to='pages.Site')),
            ],
            options={
                'verbose_name': 'Testimonial',
                'verbose_name_plural': 'Testimonials',
                'ordering': ('created',),
            },
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=60, verbose_name='Title black')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=60, verbose_name='Slug')),
                ('summary', ckeditor.fields.RichTextField(max_length=512, verbose_name='Summary')),
                ('content', ckeditor.fields.RichTextField(verbose_name='Content')),
                ('is_main', models.BooleanField(default=False, verbose_name='Is main')),
                ('alternative_icon', models.CharField(max_length=50, verbose_name='Alternative Text')),
                ('icon_svg', models.FileField(upload_to='site/', validators=[django.core.validators.FileExtensionValidator(['svg', 'png'])])),
                ('width_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Height Field')),
                ('pic', models.ImageField(height_field='height_field', upload_to='site/Portfolio', validators=[django.core.validators.FileExtensionValidator(['jpg', 'png'])], verbose_name='Picture', width_field='width_field')),
                ('alternative_pic', models.CharField(max_length=50, verbose_name='Alternative Pic')),
                ('priority', models.PositiveSmallIntegerField(verbose_name='Priority')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='services', to='pages.Site')),
            ],
            options={
                'verbose_name': 'Service',
                'verbose_name_plural': 'Services',
                'ordering': ('priority',),
            },
        ),
        migrations.CreateModel(
            name='Pricing',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=60, verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=60, verbose_name='Slug')),
                ('icon', models.FileField(upload_to='site/Pricing', validators=[django.core.validators.FileExtensionValidator(['svg', 'png'])], verbose_name='Pricing')),
                ('per_unit', models.CharField(max_length=100, verbose_name='Per Unit')),
                ('price', models.PositiveIntegerField(verbose_name='Price')),
                ('priority', models.PositiveSmallIntegerField(validators=[django.core.validators.MaxValueValidator(3), django.core.validators.MinValueValidator(1)], verbose_name='Priority')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='prices', to='pages.Site')),
            ],
            options={
                'verbose_name': 'Pricing',
                'verbose_name_plural': 'Pricing',
                'ordering': ('priority',),
            },
        ),
        migrations.CreateModel(
            name='PriceFeature',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=60, verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=60, verbose_name='Slug')),
                ('disabled', models.BooleanField(default=False, verbose_name='Disabled')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('pricing', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='features', to='pages.Pricing')),
            ],
            options={
                'verbose_name': 'Price feature',
                'verbose_name_plural': 'Price features',
                'ordering': ('created',),
            },
        ),
    ]
